Classes | Namespaces | Macros | Enumerations
RVNGStreamImplementation.cpp File Reference
`#include <limits>`
`#include <string>`
`#include <vector>`
`#include <stdio.h>`
`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "RVNGOLEStream.h"`
`#include "RVNGZipStream.h"`

## Classes
class | librevenge::RVNGFileStreamPrivate
class | librevenge::RVNGStringStreamPrivate

## Namespaces
| librevenge

## Macros
#define | S_ISREG(x) (((x) & S_IFMT) == S_IFREG)
#define | BUFFER_MAX 65536

## Enumerations
enum | librevenge::RVNGStreamType { librevenge::UNKNOWN, librevenge::FLAT, librevenge::OLE2, librevenge::ZIP }

## Macro Definition Documentation

## ◆ BUFFER_MAX

#define BUFFER_MAX 65536

Referenced by librevenge::RVNGFileStream::read().

## ◆ S_ISREG

#define S_ISREG | ( |  | x | ) | (((x) & S_IFMT) == S_IFREG)

Referenced by librevenge::RVNGFileStream::RVNGFileStream().